Avisi cloud logo
Organisations

Create an organisation.

POST
/api/v1/registration

Request Body

application/json
  1. body
organisationName*string
Match^[a-zA-Z0-9\-\s&]*$
Length3 <= length <= 30
organisationType*string
Value in"BUSINESS""ENTERPRISE""INDIVIDUAL""TRIAL"
vatNumber?string
Length0 <= length <= 255
companyName?string
Length0 <= length <= 255
companyAddress?string
Length0 <= length <= 255
acceptedAgreements*array<>

Response Body

Request was successfully processed. The response body contains the requested data.

application/json
  1. response
id?stringDeprecated
Formatuuid
identity?string
Formatuuid
name?string
vatCode?string
companyName?string
companyAddress?string
contactEmail?string
billingEmail?string
pendingContactEmail?string
pendingBillingEmail?string
vatCodeValidated?boolean
vatCodeValidatedAt?string
Formatdate-time
phoneNumber?string
createdAt?string
Formatdate-time
acceptedTerms?boolean
acceptedTermsAt?string
Formatdate-time
hasStripeCustomer?boolean
restrictedToAvailableCloudProviders?boolean
type?string
Value in"BUSINESS""ENTERPRISE""INDIVIDUAL""TRIAL"
slug?
curl -X POST 'https://api.avisi.cloud/api/v1/registration' \  -H 'Content-Type: application/json' \  -d '{  "organisationName": "string",  "organisationType": "BUSINESS",  "acceptedAgreements": [    {}  ]}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5",  "name": "string",  "vatCode": "string",  "companyName": "string",  "companyAddress": "string",  "contactEmail": "string",  "billingEmail": "string",  "pendingContactEmail": "string",  "pendingBillingEmail": "string",  "vatCodeValidated": true,  "vatCodeValidatedAt": "2019-08-24T14:15:22Z",  "phoneNumber": "string",  "createdAt": "2019-08-24T14:15:22Z",  "acceptedTerms": true,  "acceptedTermsAt": "2019-08-24T14:15:22Z",  "hasStripeCustomer": true,  "restrictedToAvailableCloudProviders": true,  "type": "BUSINESS",  "slug": {    "slugValue": "string"  }}